
import base


class OSEnvVolumeInspector(base.OSEnvInspectorBase):
    def do_inspection(self, data=None):
        '''determines what volume flavor(s) we are using in the cloud'''
        # TODO: determine volume backend by a relation between cinder
        # and other service, not just existence of other service
        backend = None

        # We currently only support iSCSI and Ceph
        if self.find_service('ceph'):
            backend = 'ceph'
        else:
            backend = 'iSCSI'

        return {'volume_backend': backend}
