import ConfigParser


DEFAULT_CONFIG = 'etc/tests/proposed_os_charm.conf'


class OSCharmTestConfig(object):
    def __init__(self, conf=DEFAULT_CONFIG):
        self.config = ConfigParser.SafeConfigParser()
        self.config.read(conf)

    def get(self, item):
        try:
            return self.config.get('DEFAULT', item)
        except ConfigParser.NoOptionError:
            return None
