
import os
from copy import deepcopy


class OSDeploymentTestConfig(object):
    """
    Wraps the environment as a test config object. This is meant
    to be used in conjuction with Jenkins job environments.
    """
    def __init__(self):
        self.config = dict(deepcopy(os.environ))

    def get(self, attr):
        return self.config.get(attr.upper(), None)

    def set(self, attr, value):
        self.config[attr.upper()] = value
