#!/bin/bash -e

COMPONENTS="nova quantum swift keystone glance cinder ceilometer horizon"
RELEASE=$1

for comp in $COMPONENTS; do
    bzr branch lp:~openstack-ubuntu-testing/$comp/$RELEASE \
        lp:~ubuntu-server-dev/$comp/$RELEASE
    [[ "$comp" != "horizon" ]] && {
        bzr branch lp:~openstack-ubuntu-testing/python-${comp}client/$RELEASE \
            lp:~ubuntu-server-dev/python-${comp}client/$RELEASE
    }
done
